Help - Search - Members - Calendar
Full Version: Point & Click Adventures
OESF Forums > Distros, Development, and Model Specific Forums > Model Specific Forums > C1000/3x00 General discussions
Yoshi
In the 90's I played a lot of point & click adventures, like the Monkey Island series, Full Throttle, Day of the Tentacles, Grim Fandango, Myst, etc... are there any ports of these games available for the C3100? Or totally new games?

It would rock to play it with the stylus on the smooth Zaurus screen. biggrin.gif
iamasmith
QUOTE(Yoshi @ Mar 12 2006, 07:13 PM)
In the 90's I played a lot of point & click adventures, like the Monkey Island series, Full Throttle, Day of the Tentacles, Grim Fandango, Myst, etc... are there any ports of these games available for the C3100? Or totally new games?

It would rock to play it with the stylus on the smooth Zaurus screen. biggrin.gif
*


ScummVM offers you most of what you are looking for I think... not Grim Fandango though alas.

-Andy
Yoshi
Thank you for the information. I installed scummvm_0.5.1-2_arm.ipk. I also created a file .scummvmrc in /home/root containing the following lines:

CODE
[scummvm]
gfx_mode=normal
fullscreen=true
savepath=/mnt/card/Games/scumm

[mi3]
amiga=false
description=Monkey Island 1
fullscreen=true
path=/mnt/card/Games/MI3


I then try to start the game in Qkonsole using:

CODE
#su
#scummvm mi3


However, I get the error:

QPaintDevice: Must construct a QApplication before a QPaintDevice

edit: I also tried installing a newer scummvm version, but therefor you need the libvobisidec package. It's hard to find on the internet, and the version that I found didn't want to install.

However, after some searching I found the answer! smile.gif http://zports.sourceforge.net/ This scummvm version works excellent on my C3100, even with a nice GUI. I am a happy guy once more! biggrin.gif
Yoshi
Another problem though... I tried to run Indiana Jones: Fate of Atlantis. Everything works, but I don't hear any voices. Do I have to install an extra library or something?
tovarish
you might want to install a newer version, search in the forum
Yoshi
I found your post in this topic, but I can't find a working ipk file for libvobisidec sad.gif Every version I did found results in an error during installation (see my posts above).

I also found out that libmad is the package that enables the voices in scummvm. I have the latest lidmad and libsdl packages from http://zports.sourceforge.net/, but still no luck sad.gif

edit: I found out that my version of Atlantis uses an ogg sound file, which is not supported in scumm, right?
tovarish
hmm maybe you should have used this post.

http://www.oesf.org/forums/index.php?showtopic=17922&hl=

you can get most of the libraries from the cacko feed.

http://web.mol.ru/~zaurus/feed/
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.